Package org.h2gis.functions.spatial.edit

# Class ST_Reverse

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.api.DeterministicScalarFunction
org.h2gis.functions.spatial.edit.ST_Reverse

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_Reverse extends org.h2gis.api.DeterministicScalarFunction
Returns the geometry with vertex order reversed.

Author:
  Erwan Bocher, Adam Gouge

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_Reverse()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getJavaStaticMethod()`
`static org.locationtech.jts.geom.Geometry`
`reverse(org.locationtech.jts.geom.Geometry geometry)`
Returns the geometry with vertex order reversed.
`static org.locationtech.jts.geom.Geometry`
`reverseMultiPoint(org.locationtech.jts.geom.MultiPoint mp)`
Returns the MultiPoint with vertex order reversed.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_Reverse

public ST_Reverse()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

### reverse

public static org.locationtech.jts.geom.Geometry reverse(org.locationtech.jts.geom.Geometry geometry)
Returns the geometry with vertex order reversed.

Parameters:
  `geometry` - Geometry
Returns:
  geometry with vertex order reversed

### reverseMultiPoint

public static org.locationtech.jts.geom.Geometry reverseMultiPoint(org.locationtech.jts.geom.MultiPoint mp)
Returns the MultiPoint with vertex order reversed. We do our own implementation here because JTS does not handle it.

Parameters:
  `mp` - MultiPoint
Returns:
  MultiPoint with vertex order reversed